<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/test/AVSCommon/Utils Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a></li><li class="navelem"><a class="el" href="dir_a56f36adbd781f5c7d9895fa2d100c85.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_834bf911d49030c30073fd5ed0d05185.html">Utils</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Utils Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for Utils:</div>
<div class="dyncontent">
<div class="center"><img src="dir_834bf911d49030c30073fd5ed0d05185_dep.png" border="0" usemap="#dir__834bf911d49030c30073fd5ed0d05185__dep" alt="/workplace/avs-device-sdk/AVSCommon/Utils/test/AVSCommon/Utils"/></div>
<map name="dir__834bf911d49030c30073fd5ed0d05185__dep" id="dir__834bf911d49030c30073fd5ed0d05185__dep">
<area shape="rect" id="node2" href="dir_717887339092f669d8b45fb8064b0fde.html" title="Common" alt="" coords="133,61,208,109"/>
<area shape="rect" id="node6" href="dir_80711c2a226d5fced33fce22558d3784.html" title="AVS" alt="" coords="161,157,233,205"/>
<area shape="rect" id="edge1-headlabel" href="dir_000066_000043.html" title="3" alt="" coords="190,130,198,144"/>
<area shape="rect" id="node7" href="dir_97afc8111b754cf401b73024f872f45d.html" title="SDKInterfaces" alt="" coords="61,253,168,301"/>
<area shape="rect" id="edge2-headlabel" href="dir_000066_000016.html" title="2" alt="" coords="131,231,138,245"/>
<area shape="rect" id="node3" href="dir_7f87b99bfb96304e3bc744efb6984a83.html" title="HTTP2" alt="" coords="232,61,304,109"/>
<area shape="rect" id="node8" href="dir_957fc395b73dfe8b64ee3f74464f588a.html" title="include" alt="" coords="181,349,253,397"/>
<area shape="rect" id="edge11-headlabel" href="dir_000116_000080.html" title="2" alt="" coords="234,327,242,340"/>
<area shape="rect" id="node4" href="dir_45da8a61f44f26943639e729d0898294.html" title="MediaPlayer" alt="" coords="328,61,424,109"/>
<area shape="rect" id="edge7-headlabel" href="dir_000117_000080.html" title="3" alt="" coords="245,331,252,344"/>
<area shape="rect" id="node5" href="dir_01037c60081af1e4ffdd17d027381383.html" title="Network" alt="" coords="37,61,109,109"/>
<area shape="rect" id="edge8-headlabel" href="dir_000118_000016.html" title="1" alt="" coords="110,227,118,240"/>
<area shape="rect" id="edge3-headlabel" href="dir_000043_000016.html" title="22" alt="" coords="138,237,153,250"/>
<area shape="rect" id="edge4-headlabel" href="dir_000043_000080.html" title="44" alt="" coords="206,323,221,337"/>
<area shape="rect" id="edge5-headlabel" href="dir_000016_000043.html" title="19" alt="" coords="159,208,174,221"/>
<area shape="rect" id="edge6-headlabel" href="dir_000016_000080.html" title="13" alt="" coords="168,324,183,337"/>
<area shape="rect" id="edge9-headlabel" href="dir_000080_000043.html" title="5" alt="" coords="197,218,205,232"/>
<area shape="rect" id="edge10-headlabel" href="dir_000080_000016.html" title="11" alt="" coords="150,313,164,327"/>
<area shape="rect" id="clust2" href="dir_834bf911d49030c30073fd5ed0d05185.html" alt="" coords="27,51,531,120"/>
<area shape="rect" id="clust1" href="dir_a56f36adbd781f5c7d9895fa2d100c85.html" title="AVSCommon" alt="" coords="16,16,541,131"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="subdirs"></a>
Directories</h2></td></tr>
<tr class="memitem:dir_717887339092f669d8b45fb8064b0fde"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_717887339092f669d8b45fb8064b0fde.html">Common</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_7f87b99bfb96304e3bc744efb6984a83"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_7f87b99bfb96304e3bc744efb6984a83.html">HTTP2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_45da8a61f44f26943639e729d0898294"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_45da8a61f44f26943639e729d0898294.html">MediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dir_01037c60081af1e4ffdd17d027381383"><td class="memItemLeft" align="right" valign="top">directory &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dir_01037c60081af1e4ffdd17d027381383.html">Network</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_optional_test_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_optional_test_8cpp.html">OptionalTest.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_wait_event_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_wait_event_8h.html">WaitEvent.h</a> <a href="_wait_event_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
